summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Cezary M. Kruk <c.kruk@bigfoot.com>2010-05-12 23:28:29 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:28:29 +0200
commit0739d9946ecb32dc7fa1e801384aeaaedd16626a (patch)
treee5e305ccba6873aab057d3457800c892bee85e42 /desktop
parent11e63d02580727c91c1470389053495d4e881859 (diff)
downloadslackbuilds-0739d9946ecb32dc7fa1e801384aeaaedd16626a.tar.gz
slackbuilds-0739d9946ecb32dc7fa1e801384aeaaedd16626a.tar.xz
desktop/wmweather: Added to 12.2 repository
Diffstat (limited to 'desktop')
-rw-r--r--desktop/wmweather/README9
-rw-r--r--desktop/wmweather/slack-desc19
-rw-r--r--desktop/wmweather/wmweather.SlackBuild78
-rw-r--r--desktop/wmweather/wmweather.info8
4 files changed, 114 insertions, 0 deletions
diff --git a/desktop/wmweather/README b/desktop/wmweather/README
new file mode 100644
index 0000000000..124ec74b30
--- /dev/null
+++ b/desktop/wmweather/README
@@ -0,0 +1,9 @@
+wmweather is Window Maker weather monitor dockable application
+
+wmweather monitors local weather conditions: temperature, dew point,
+pressure, humidity and wind direction and speed. The user needs to
+specify a 4-character `ICAO location indicator'. The standardized
+METAR station designations and current weather reports are designed
+for use by the aviation community. Since most major cities have at
+least one airport, there is usually one or more METAR stations in a
+given city.
diff --git a/desktop/wmweather/slack-desc b/desktop/wmweather/slack-desc
new file mode 100644
index 0000000000..e6d5c8f995
--- /dev/null
+++ b/desktop/wmweather/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+wmweather: wmweather (Window Maker weather monitor dockable application)
+wmweather:
+wmweather: wmweather monitors local weather conditions: temperature, dew point,
+wmweather: pressure, humidity and wind direction and speed. The user needs to
+wmweather: specify a 4-character `ICAO location indicator'. The standardized
+wmweather: METAR station designations and current weather reports are designed
+wmweather: for use by the aviation community. Since most major cities have at
+wmweather: least one airport, there is usually one or more METAR stations in a
+wmweather: given city.
+wmweather:
+wmweather:
diff --git a/desktop/wmweather/wmweather.SlackBuild b/desktop/wmweather/wmweather.SlackBuild
new file mode 100644
index 0000000000..013932ab9f
--- /dev/null
+++ b/desktop/wmweather/wmweather.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# Slackware build script for wmweather
+# Written by Cezary M. Kruk (c.kruk@bigfoot.com)
+#
+# Modified by the SlackBuilds.org project.
+
+PRGNAM=wmweather
+VERSION=${VERSION:-2.4.4}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM\_$VERSION.orig.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cd src
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-debug
+
+ make
+ make install DESTDIR=$PKG
+cd -
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGES COPYING README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
diff --git a/desktop/wmweather/wmweather.info b/desktop/wmweather/wmweather.info
new file mode 100644
index 0000000000..61b07de02e
--- /dev/null
+++ b/desktop/wmweather/wmweather.info
@@ -0,0 +1,8 @@
+PRGNAM="wmweather"
+VERSION="2.4.4"
+HOMEPAGE="http://freshmeat.net/users/godisch/"
+DOWNLOAD="http://ftp.de.debian.org/debian/pool/main/w/wmweather/wmweather_2.4.4.orig.tar.gz"
+MD5SUM="4aad93bb539c0743f71e28c87267df92"
+MAINTAINER="Cezary M. Kruk"
+EMAIL="c.kruk@bigfoot.com"
+APPROVED="dsomero"